Subject: Re: CCL:Critical T scores

From: David Turner <[email-masked]>
Date: Thu, 03 May 2001 14:47:41 +0200

Thanks to all who replied. I hadn't realised there is a simple
formula for determining critical points so there is no need for
look-up tables etc. I wanted this to use within some C code I
will be writing for various dofs and probability levels so
packages (Excel etc) were not an option ...

David

Wayne Steinmetz wrote:
>
> I am on sabbatical leave and do not have access to my files which are
> locked up.  Years ago I found an algorithm for calculating the
> Students t in Nature.  The algorithm is quite accurate when the
> number of degrees of freedom is greater than 2.
>
> Here is the algorithm at the 95% confidence level:
>
>  t = 1.95996 + 1/(-0.423+0.413DF)
>
>  where DF = the number of degrees of freedom =
>         = (number of data points) - (number of parameters)
>
> The two cases where the algorithm does not work are handled by a
> simple, short lookup table, i.e. t(1) = 12.706, t(2) = 4.303         

===========================================================================
Rick Venable wrote:
> 
> On Wed, 2 May 2001, David Turner wrote:
> > Does anyone know where I can get a table of critical student's
> > t-scores in electronic format?
> 
> I have a set of Fortran routines which can do both the F test (for the
> equivalence of 2 variances) and the T test (equivalence of 2 means).
> 
> =+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
> Rick Venable
> FDA/CBER/OVRR Biophysics Lab
> 1401 Rockville Pike    HFM-419
> Rockville, MD  20852-1448  U.S.A.
> (301) 496-1905   [email-masked]
> ALT email:  [email-masked]
> =+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]

-- 

________________________________________________________________

David Turner                                             Synt:em
Senior Modeling Scientist              Parc Scientifique G.Besse
Computational Drug Discovery                         30000 Nimes
email: [email-masked]                                 France

Tel: 				       
Switchboard: +33 (0)4 66 04 86 66      Fax: +33 (0)4 66 04 86 67
Direct Line: +33 (0)4 66 04 22 85
________________________________________________________________

          Discover New Drugs, Discover Synt:em
                 http://www.syntem.com
________________________________________________________________